      program convert_2
c
      character*100 ia1,ia2
c
      parameter(nlast=100)
c
      ia2(41:53)='refmanx/chxx/'
      open(1,file='datasets')
      open(2,file='datasets.html')
c
c  write out beginning header info for html file
c
      write(2,1)
 1    format(
     1'<!----- <datasets.html> Data Set Library ----->',/,
     1' ',/,
     1'<html>',/,
     1' ',/,
     1'<head>',/,
     1'   <title> Data Set Library </title>',/,
     1'</head>',/,
     1'',/,
     1'<body background = "../gif/background1.gif"',/,
     1'      text="#000000" link="#0000ff" vlink="#0000d7" ',
     1' alink="#ee0000">',/,
     1'<basefont size = 3>',/,
     1' ',/)
      write(2,2)
 2    format(
     1'<table>',/,
     1'<tr>',/,
     1'   <td width = 400 align = left>',/,
     1'      <font size = "5">',/,
     1'         <a href = "homepage.html">',/,
     1'            Dataplot',/,
     1'         </a>',/,
     1'      </font>',/,
     1'   </td>',/,
     1'</tr>',/,
     1'</table>',/,
     1'',/,
     1'<hr size = 4>',/,
     1'',/)
      write(2,3)
 3    format(
     1'<p>',/,
     1'The Dataplot distribution comes with a large number of',/,
     1'sample data files.',/,
     1'<p>',/,
     1'',/)
c
c  skip some header lines
c
      do5i=1,6
        read(1,'(a)')ia1
 5    continue
c
c  Do initial headers
c
      write(2,12)
 12   format('<ol>')
      do15i=1,36
        ia1=' '
        read(1,'(4x,a100)')ia1
        do7j=100,1,-1
          nstop=j
          if(ia1(j:j).ne.' ')goto9
 7      continue
 9      continue
        write(2,17)ia1(1:nstop),ia1(1:nstop)
 15   continue
 17   format('<li> <a href="#',a,'">'/,'      ',a,'</a>')
      write(2,22)
 22   format('</ol>')
c
c  main loop:
c    "----" indicates a new section
c    blank lines are skipped
c    others are split into 2 parts (data file name, description)
c
      do100i=1,20000
        print *,'i=',i
        ia1=' '
        read(1,'(a100)',end=9999)ia1
        if(ia1(1:3).eq.'---')then
          call parse1(ia1)
        elseif(ia1.eq.' ')then
          goto100
        else
          call parse2(ia1)
        endif
 100  continue
c
 9999 continue
      write(2,900)
 900  format(/,'</table>'//,'</body>',/,'</html>',/)
c
      stop
      end
      subroutine parse1(ia)
c
c  new section
c
      parameter(nlast=100)
      character*(*) ia
c
      save icall
      data icall /0/
c
      icall=1
c
      nstop=100
c
      do10i=nlast,1,-1
        nstop=i
        if(ia(i:i).ne.' ')goto19
 10   continue
 19   continue
c
      do20i=nstop,1,-1
        nfirst=i+1
        if(ia(i-1:i).eq.'--')goto29
 20   continue
 29   continue
c
      if(icall.eq.1)then
        write(2,99)
      else
        write(2,98)
      endif
 99   format(/,'</table>'/,'<p>'/,'<hr size = 4>'/,'<p>')
 98   format(/,'<p>'/,'<hr size = 4>'/,'<p>')
c
      write(2,101)ia(nfirst:nstop)
 101  format('<h1> <a name="',a,'">')
      write(2,103)ia(nfirst:nstop)
 103  format('         ',a,'</a>'/,'</h1>')
c
c  start a new table
c
      write(2,201)ia(nfirst:nstop)
 201  format(
     1'<p>'/,
     1'<table border>'/,
     1' '/
     1'<caption>'/
     1'    <font size=4>'/,
     1'     ',a,/,
     1'    </font>'/,
     1'</caption>')
c
      return
      end
      subroutine parse2(ia)
c
c  new section
c
      parameter(nlast=100)
      character*(*) ia
c
c  start a new row
c
      do10i=1,nlast
        nstrt1=i
        if(ia(i:i).ne.' ')goto19
 10   continue
 19   continue
c
      do20i=nstrt1,nlast
        nstop1=i
        if(ia(i:i).eq.' ')goto29
 20   continue
 29   continue
c
      do30i=nstop1+1,nlast
        nstrt2=i
        if(ia(i:i).ne.' ')goto39
 30   continue
 39   continue
c
      do40i=100,nstrt2,-1
        nstop2=i
        if(ia(i:i).ne.' ')goto49
 40   continue
 49   continue
c
      write(2,101)ia(nstrt1:nstop1),ia(nstrt1:nstop1)
 101  format(
     1' '/,
     1'<tr>'/,
     1'   <td>'/,
     1'   <a href = '/,
     1'     "ftp://ftp.nist.gov/pub/dataplot/other/reference/',a,'">'/,
     1'     ',a,'</a>'/,
     1'   </td>')
      write(2,103)ia(nstrt2:nstop2)
 103  format(
     1'   <td>'/,
     1'   ',a,/,
     1'   </td>'/,
     1'</tr>')
c
      return
      end
